transactionsFull-text transaction search

Full-text transaction search

curl -X GET "https://api.403fin.io/v1/transactions/search?q=example_string&cursor=example_string&page_size=25&start_date=2024-12-25&end_date=2024-12-25" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "account_id": "123e4567-e89b-12d3-a456-426614174000",
      "category_id": "123e4567-e89b-12d3-a456-426614174000",
      "amount": {
        "amount": "example_string",
        "currency": "example_string"
      },
      "merchant": "example_string",
      "display_name": "John Doe",
      "description": "example_string",
      "date": "2024-12-25",
      "posted_at": "2024-12-25T10:00:00Z",
      "is_pending": true,
      "source": "example_string",
      "payment_channel": "example_string",
      "transfer_pair_id": "123e4567-e89b-12d3-a456-426614174000",
      "recurring_rule_id": "123e4567-e89b-12d3-a456-426614174000",
      "external_ref": "example_string",
      "tags": [
        "example_string"
      ],
      "check_number": "example_string",
      "memo": "example_string",
      "location": {
        "street": "example_string",
        "city": "New York",
        "state": "example_string",
        "postal_code": "example_string",
        "country": "USA"
      },
      "provider_amount": {
        "amount": "example_string",
        "currency": "example_string"
      },
      "provider_merchant_name": "John Doe",
      "provider_transaction_date": "2024-12-25",
      "provider_description": "example_string",
      "provider_memo": "example_string",
      "version": 42,
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "example_string",
    "has_more": true
  },
  "redacted_fields": [
    "example_string"
  ],
  "filtered": true
}
GET
/v1/transactions/search
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.

An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
API Key (header: X-API-Key)
X-API-Keystring
Required

An opaque ff_ credential presented in the X-API-Key header.

An opaque ff_ credential presented in the X-API-Key header.
query
qstring
Required

The search query.

query
cursorstring

Opaque cursor from a previous response's pagination.next_cursor.

query
page_sizeinteger

Maximum number of items to return.

Format: int32 • Min: 1
query
start_datestring

Inclusive start date (YYYY-MM-DD).

Format: date
query
end_datestring

Inclusive end date (YYYY-MM-DD).

Format: date
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.

header
X-API-Keystring
Required

API Key for authentication. An opaque ff_ credential presented in the X-API-Key header.

Query Parameters

qstring
Required

The search query.

cursorstring

Opaque cursor from a previous response's pagination.next_cursor.

page_sizeinteger

Maximum number of items to return.

start_datestring

Inclusive start date (YYYY-MM-DD).

end_datestring

Inclusive end date (YYYY-MM-DD).

Responses

dataarray
Required
paginationstring

Cursor pagination state, present on list endpoints.

redacted_fieldsstring[]

Field ids stripped from the payload by connection scope.

filteredboolean

True when row or aggregate filtering is in effect for this response.